<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "scan_request_log".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ScanRequestLog".
 *
 * Columns in table "scan_request_log" available as properties of the model,
 * followed by relations of table "scan_request_log" available as properties of the model.
 *
 * @property integer $id
 * @property integer $scan_request_id
 * @property integer $processed
 * @property string $date_added
 * @property string $data
 *
 * @property ScanRequest $scanRequest
 */
abstract class BaseScanRequestLog extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'scan_request_log';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ScanRequestLog|ScanRequestLogs', $n);
    }

    public static function representingColumn()
    {
        return 'date_added';
    }

    public function rules()
    {
        return array(
            array('scan_request_id, processed', 'required'),
            array('scan_request_id, processed', 'numerical', 'integerOnly' => true),
            array('date_added, data', 'safe'),
            array('date_added, data', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, scan_request_id, processed, date_added, data', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'scanRequest' => array(self::BELONGS_TO, 'ScanRequest', 'scan_request_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'scan_request_id' => null,
            'processed' => Yii::t('app', 'Processed'),
            'date_added' => Yii::t('app', 'Date Added'),
            'data' => Yii::t('app', 'Data'),
            'scanRequest' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('scan_request_id', $this->scan_request_id);
        $criteria->compare('processed', $this->processed);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('data', $this->data, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
